using Newtonsoft.Json;
using Opc.Ua;
using OpcBasic;
using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Threading;

namespace MesWork
{
    public partial class Temp { }
    public partial class MesWorkForm
    {


        /// <summary>
        /// 01
        /// </summary>
        /// <param name="opName"></param>
        /// <param name="tagID"></param>
        /// <param name="tagValue"></param>
        public static void S_C_B_TagIDTrigger(string opName, string tagID, string tagValue)
        {
            SendMsg(MesServer_SendProtocol_Tag + "{\"DeviceCode\":\"" + opName + "\",\"TagID\":\"" + tagID + "\",\"TagValue\":\"" + tagValue + "\"}");
        }  

        /// <summary>
        /// 02
        /// </summary>
        /// <param name="joints"></param>
        /// <returns></returns>
        public static string Move_Joint(List<JointConfig> joints)
        {
            var sendStr = MesServer_SendProtocol_Joint + JsonConvert.SerializeObject(joints);
            return sendStr;
        }


        /// <summary>
        /// 11
        /// </summary>
        /// <param name="tagValue"></param>
        public static void S_C_B_Info_Fast(List<JointConfig> tagValue)
        {
            SendMsg(MesServer_SendProtocol_Info_Fast + JsonConvert.SerializeObject(tagValue));
        }

        /// <summary>
        /// 12
        /// </summary>
        /// <param name="tagValue"></param>
        public static void S_C_B_Info_Slow(Param_Slow tagValue)
        {
            SendMsg(MesServer_SendProtocol_Info_Slow + JsonConvert.SerializeObject(tagValue));
        } 
        

        public static string Make_DeviceInfo(List<DeviceInfo> di)
        {
            var sendStr = MesServer_SendProtocol_DeviceInfo + JsonConvert.SerializeObject(di);
            return sendStr; 
        }


    }
}
